PEER'S SPACE

Variables
ablog.settings Namespace Reference

## Variables
| BASE_DIR = Path(__file__).resolve().parent.parent
string | SECRET_KEY = 'bdx=b5ko@sdfr!347*hhrn9v@l-7(n+a@k=yj$()zhd(5@&7kw'
bool | DEBUG = True
list | ALLOWED_HOSTS = []
list | INSTALLED_APPS
list | MIDDLEWARE
string | ROOT_URLCONF = 'ablog.urls'
list | TEMPLATES
string | WSGI_APPLICATION = 'ablog.wsgi.application'
dictionary | DATABASES
list | AUTH_PASSWORD_VALIDATORS
string | LANGUAGE_CODE = 'en-us'
string | TIME_ZONE = 'UTC'
bool | USE_I18N = True
bool | USE_L10N = True
bool | USE_TZ = True
string | STATIC_URL = 'theblog/static/'
string | LOGIN_REDIRECT_URL = "home"
string | LOGOUT_REDIRECT_URL = "home"

## Detailed Description

    Django settings for ablog project.

    Generated by 'django-admin startproject' using Django 3.1.2.

    For more information on this file, see
    https://docs.djangoproject.com/en/3.1/topics/settings/

    For the full list of settings and their values, see
    https://docs.djangoproject.com/en/3.1/ref/settings/

## Variable Documentation

## ◆ AUTH_PASSWORD_VALIDATORS

list ablog.settings.AUTH_PASSWORD_VALIDATORS

Initial value:
1 = [
2 #{
3 # 'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
4 #},
5 # {
6 # 'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
7 # },
8 # {
9 # 'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
10 # },
11 # {
12 # 'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
13 # },
14 ]

## ◆ DATABASES

dictionary ablog.settings.DATABASES

Initial value:
1 = {
2 'default': {
3 'ENGINE': 'django.db.backends.sqlite3',
4 'NAME': BASE_DIR / 'db.sqlite3',
5 }
6 }

## ◆ INSTALLED_APPS

list ablog.settings.INSTALLED_APPS

Initial value:
1 = [
2 'django.contrib.admin',
3 'django.contrib.auth',
4 'django.contrib.contenttypes',
5 'django.contrib.sessions',
6 'django.contrib.messages',
7 'django.contrib.staticfiles',
8 'theblog',
9 'users',
10 ]

## ◆ MIDDLEWARE

list ablog.settings.MIDDLEWARE

Initial value:
1 = [
2 'django.middleware.security.SecurityMiddleware',
3 'django.contrib.sessions.middleware.SessionMiddleware',
4 'django.middleware.common.CommonMiddleware',
5 'django.middleware.csrf.CsrfViewMiddleware',
6 'django.contrib.auth.middleware.AuthenticationMiddleware',
7 'django.contrib.messages.middleware.MessageMiddleware',
8 'django.middleware.clickjacking.XFrameOptionsMiddleware',
9 ]

## ◆ TEMPLATES

list ablog.settings.TEMPLATES

Initial value:
1 = [
2 {
3 'BACKEND': 'django.template.backends.django.DjangoTemplates',
4 'DIRS': [],
5 'APP_DIRS': True,
6 'OPTIONS': {
7 'context_processors': [
8 'django.template.context_processors.debug',
9 'django.template.context_processors.request',
10 'django.contrib.auth.context_processors.auth',
11 'django.contrib.messages.context_processors.messages',
12 ],
13 },
14 },
15 ]